Subject: [PATCH 1/4] ARM: sa1100: fix sa1100 after sparse irq conversion

From: [email-masked] (Rob Herring)
Date: Sun, 19 Feb 2012 09:21:19 -0600

On 02/18/2012 05:18 PM, Russell King - ARM Linux wrote:
> On Thu, Feb 16, 2012 at 09:32:11PM -0600, Rob Herring wrote:
>> From: Rob Herring <[email-masked]>
>>
>> SA1100 was converted to sparse irq in parallel with include of mach/irqs.h
>> being removed from asm/irq.h when sparse irq is enabled, resulting in lots
>> of compile errors.
> 
> Can this be applied before the change to enable sparse IRQ for sa11x0
> platforms without breaking them?

All but the rename of NR_IRQS to SA1100_NR_IRQS should be fine, but I
can change it to leave NR_IRQS.

Rob